VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Classes | Namespaces | Macros | Typedefs | Enumerations | Variables
ivsteditcontroller.h File Reference
`#include "pluginterfaces/base/ipluginbase.h"`
`#include "pluginterfaces/vst/vsttypes.h"`
`#include "pluginterfaces/base/falignpush.h"`
`#include "pluginterfaces/base/falignpop.h"`

## Classes
struct | ParameterInfo
| Controller Parameter Info. More...
class | IComponentHandler
| Host callback interface for an edit controller: Vst::IComponentHandler. More...
class | IComponentHandler2
| Extended host callback interface for an edit controller: Vst::IComponentHandler2. More...
class | IComponentHandlerBusActivation
| Extended host callback interface for an edit controller: Vst::IComponentHandlerBusActivation. More...
class | IProgress
| Extended host callback interface for an edit controller: Vst::IProgress. More...
class | IEditController
| Edit controller component interface: Vst::IEditController. More...
class | IEditController2
| Edit controller component interface extension: Vst::IEditController2. More...
class | IMidiMapping
| MIDI Mapping interface: Vst::IMidiMapping. More...
class | IEditControllerHostEditing
| Parameter Editing from host: Vst::IEditControllerHostEditing. More...
class | IComponentHandlerSystemTime
| Extended plug-in interface IComponentHandler for an edit controller. More...

## Namespaces
namespace | Steinberg
namespace | Steinberg::Vst
| All VST specific interfaces are located in Vst namespace.
namespace | Steinberg::Vst::ViewType
| View Types used for IEditController::createView.

## Macros
#define | kVstComponentControllerClass "Component Controller Class"
| Class Category Name for Controller Component.

## Typedefs
typedef int32 | KnobMode
| Knob Mode Type.

## Enumerations
enum | RestartFlags { kReloadComponent = 1 << 0, kIoChanged = 1 << 1, kParamValuesChanged = 1 << 2, kLatencyChanged = 1 << 3, kParamTitlesChanged = 1 << 4, kMidiCCAssignmentChanged = 1 << 5, kNoteExpressionChanged = 1 << 6, kIoTitlesChanged = 1 << 7, kPrefetchableSupportChanged = 1 << 8, kRoutingInfoChanged = 1 << 9, kKeyswitchChanged = 1 << 10 }
| Flags used for IComponentHandler::restartComponent. More...
enum | KnobModes { kCircularMode = 0, kRelativCircularMode, kLinearMode }
| Knob Mode. More...

## Variables
const CString | kEditor = "editor"

## Macro Definition Documentation

#define kVstComponentControllerClass "Component Controller Class"

Class Category Name for Controller Component.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.